%define upstream_name    B-Hooks-OP-Check-StashChange
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Invoke callbacks when the stash code is being compiled in changes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
Invoke callbacks when the stash code is being compiled in changes.

From Perl:

<CODE>
package Foo;

use B::Hooks::OP::Check::StashChange;

our $id = B::Hooks::OP::Check::StashChange::register(sub {
    my ($new, $old) = @_;
    warn "${old} -> ${new}";
});

package Bar; # "Foo -> Bar"

B::Hooks::OP::Check::StashChange::unregister($Foo::id);

package Moo; # callback not invoked
</CODE>

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.60.0-10.mga6
+ Revision: 1022702
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.60.0-9.mga6
+ Revision: 956800
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.60.0-8.mga6
+ Revision: 844094
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-7.mga5
+ Revision: 749515
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-6.mga5
+ Revision: 683587
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.60.0-5.mga5
+ Revision: 632148
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-4.mga4
+ Revision: 524583
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-3.mga4
+ Revision: 431171
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 363310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.60.0-1.mga3
+ Revision: 277674
- Add a description
- imported package perl-B-Hooks-OP-Check-StashChange


* Thu Jun 11 2009 cpan2dist 0.06-1mdv
- initial mdv release, generated with cpan2dist

